# define following variables
#   - AWS_ACCESS_KEY_ID
#   - AWS_SECRET_ACCESS_KEY

variables:
  AWS_DEFAULT_REGION: "eu-west-3"

default:
  image: node:12

stages:
  - install
  - build
  - deploy

install-modules:
  stage: install
  script:
    - echo installing

build-app:
  stage: build
  script:
    - echo "build stage"

deploy-s3:
  image: amazon/aws-cli
  stage: deploy
  script:
    - aws cloudformation list-stacks
